%define name smeserver-manager-AdminLTE
%define version 0.1.3
%define release 19
Summary: AdminLTE is an html framework for admin consoles - this rpm adds it to smeserver manager2
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
URL: https://adminlte.io/
Group: SMEserver/addon
source: %{name}-%{version}.tar.gz

Patch0: smeserver-manager-AdminLTE-0.1.3-Update-default_ep_html-with-contribs-header.patch
Patch1: smeserver-manager-AdminLTE-0.1.3-Update-login-panel-add-password-visibility.patch
Patch2: smeserver-manager-AdminLTE-0.1.3-Fix-up-config-review-panel.patch
Patch3: smeserver-manager-AdminLTE-0.1.3-Bring-update-event-in-to-line-with-smanager.patch
Patch4: smeserver-manager-AdminLTE-0.1.3-Sort-out-panels-input-description-and-input-field-alignments.patch
Patch5: smeserver-manager-AdminLTE-0.1.3-Get-theme-button-back-in-line.patch
Patch6: smeserver-manager-AdminLTE-0.1.3-Make-input-field-width-auto.patch
Patch7: smeserver-manager-AdminLTE-0.1.3-Better-placement-of-buttons-re-format-tables.patch
Patch8: smeserver-manager-AdminLTE-0.1.3-Position-and-space-headings-add-dev-conf-refactor-css-file.patch
Patch9: smeserver-manager-AdminLTE-0.1.3-More-panel-formatting-adjustments.patch
Patch10: smeserver-manager-AdminLTE-0.1.3-More-format-changes-to-sm2-panels.patch 
Patch11: smeserver-manager-AdminLTE-0.1.3-Fix-format-for-datetime-panel.patch
Patch12: smeserver-manager-AdminLTE-0.1.3-Move-action-button-down-a-bit.patch
Patch13: smeserver-manager-AdminLTE-0.1.3-Update_to_AdminLTE-3-2.patch
Patch14: smeserver-manager-AdminLTE-0.1.3-Add-css-for-dark-mode.patch
Patch15: smeserver-manager-AdminLTE-0.1.3-Make-jquery-required.patch
Patch16: smeserver-manager-AdminLTE-0.1.3-Sort-Browser-Error-on-non-login-panels.patch
Patch17: smeserver-manager-AdminLTE-0.1.3-Fix-browser-error-in-js-for-version-extract.patch


#Patch0: smeserver-manager-AdminLTE-0.1.2-Fix-error-in-createlinks.patch

#Patch0: smeserver-manager-AdminLTE-0.1.1-Add-rpm-names-to-footer.patch
#Patch1: smeserver-manager-AdminLTE-0.1.1-change-css-to-supress-bold-on-data-class.patch
#Patch2: smeserver-manager-AdminLTE-0.1.1-Add-update-event-to-createlinks.patch
#Patch3: smeserver-manager-AdminLTE-0.1.1-Re-base-to-AdminLTE-V31.patch

#Patch0: smeserver-manager-AdminLTE-0.1.0-add-adminlte-version-to-footer.patch
#Patch1: smeserver-manager-AdminLTE-0.1.0-widen-top-band.patch
#Patch2: smeserver-manager-AdminLTE-0.1.0-Update-for-Apache-Mod-Proxy.patch
#Patch3: smeserver-manager-AdminLTE-0.1.0-Add-Font-Size-Adjuster.patch
#Patch4: smeserver-manager-AdminLTE-0.1.0-More-AdminLTE-Integration.patch

Packager: Brian Read <brianr@bjsystems.co.uk>
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 10.0
Requires: smeserver-manager >= 0.1.0-11
#Requires: js-jquery > 2.2.4-3
AutoReqProv: no

%description
https://adminlte.io/
AdminLTE is an html framework for admin consoles
wget https://github.com/ColorlibHQ/AdminLTE/archive/master.zip

%changelog
* Thu Mar 03 2022 Brian Read <brianr@bjsystems.co.uk> 0.1.3-19.sme
- Browser error in js for AdminLTE version extraction [SME: 11881]

* Mon Feb 28 2022 Brian Read <brianr@bjsystems.co.uk> 0.1.3-18.sme
- Sort-Browser-Error-on-non-login-panels [SME 11880]
- and set password visibility to use same js code as default theme

* Tue Feb 15 2022 Brian Read <brianr@bjsystems.co.uk> 0.1.3-17.sme
- Make-jquery-required [SME: 11870]
- This has been taken out...

* Tue Feb 08 2022 Brian Read <brianr@bjsystems.co.uk> 0.1.3-16.sme
- Add css for dark-mode [SME: 11863]

* Tue Feb 08 2022 Brian Read <brianr@bjsystems.co.uk> 0.1.3-15.sme
- Update to AdminLTE3.2 [SME: 11861]

* Fri Jan 07 2022 Brian Read <brianr@bjsystems.co.uk> 0.1.3-14.sme
- Move-action-button-down-a-bit [SME: 11833]

* Tue Jan 04 2022 Brian Read <brianr@bjsystems.co.uk> 0.1.3-13.sme
- Fix-format-for-datetime-panel [SME: 11827]

* Wed Dec 29 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.3-12.sme
- More changes to SM2 panel formats [SME: 11826]

* Mon Dec 20 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.3-11.sme
- Adjust format in review panel [SME: 11785]

* Mon Dec 20 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.3-10.sme
- Position-and-space-headings [SME:11785]
- Add in development to smanager conf (will need to be removed at some point)
- Refactor smanager2.css into 3 files for menu, header and footer and content
- Widen footer panel to 100% width
- Sort out format for datetime panel

* Fri Dec 03 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.3-9.sme
- Better-placement-of-buttons-re-format-tables [SME: 11785]

* Fri Dec 03 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.3-8.sme
- Make input field width auto on input panels [SME: 11785 ]

* Fri Dec 03 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.3-7.sme
- Get theme button back in line [SME: 11785]

* Wed Dec 01 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.3-6.sme
- smeserver-manager-AdminLTE-0.1.3-Sort-out-panels-input-description-and-input-field-alignments.patch [SME: 11785]

* Tue Nov 30 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.3-5.sme
- Bring-update-event-in-to-line-with-smanager [SME: 11783]

* Tue Nov 30 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.3-4.sme
- Fix-up-config-review-panel [SME: 11782]

* Mon Nov 29 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.3-3.sme
- Update-login-panel-add-password-visibility.patch [SME: 11781]

* Sun Jun 06 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.3-2.sme
- Update AdminLTE ep file for new contribs header and remove heading from status line [SME: 11623]

* Wed Apr 28 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.3-1.sme
- Update to add small logo image and some more integration with AdminLTE [SME: 11572]

* Mon Apr 26 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.2-3.sme
- Update relesae to fix problem with taq in buildsys [SME: 11572]

* Sat Apr 24 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.2-2.sme
- Fix error in createlinks [SME: 11572]

* Sat Apr 24 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.2-1.sme
- Rollup all changes into new tar [SME: 11572]

* Wed Apr 21 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.1-5.sme
- Update to AdminLTE 3.1 [SME: 11572]
- Add re-write main AdminLTE.html.ep to integrate better with AdminLTE

* Tue Apr 20 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.1-4.sme
- Update creatlinks to include update event [SME: 11545]

* Thu Jul 30 2020 Brian Read <brianr@bjsystems.co.uk> 0.1.1-3.sme
- Change CSS so that data shown on panels is not bold[SME:10906]

* Thu Jul 23 2020 Brian Read <brianr@bjsystems.co.uk> 0.1.1-2.sme
- Add in manager2 and AdminLTE rpm details in footer[SME:10906 ]

* Sun Jun 21 2020 Brian Read <brianr@bjsystems.co.uk> 0.1.1-1.sme
- Roll up all patches and Add in missing AdminLTE img directory [SME:10906 ]

* Thu Jun 18 2020 Brian Read <brianr@bjsystems.co.uk> 0.1.0-7.sme
- More AdminLTE integrations [SME:10906]

* Wed Jun 17 2020 Brian Read <brianr@bjsystems.co.uk> 0.1.0-6.sme
- Add drop down to adjust font size [SME:10906 ]

* Sat Jun 13 2020 Brian Read <brianr@bjsystems.co.uk> 0.1.0-5.sme
- Update for Apache Mod Proxy version of server mananger2 [SME:10906 ]

* Wed Mar 25 2020 Brian Read <brianr@bjsystems.co.uk>  0.1.0-4
- widen-top-band

* Tue Mar 24 2020 Brian Read <brianr@bjsystems.co.uk>  0.1.0-2
- Add AdminLTE version number to footer 

* Fri Mar 20 2020 Brian Read <brianr@bjsystems.co.uk>  0.1.0-1
- initial release bugzilla:10906


%prep
%setup 
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%post
